@tailwind base;
@tailwind components;
@tailwind utilities;

body,
main {
  min-height: 100vh;
}

/*
 * Markdown styling to make up for tailwind resetting some CSS properties
 */
/* over-ride p tags inside li tags to have no padding.
 * This is a hack to use generated markdown (originally for the rules page)
 */
.md-li p {
  padding: 0 !important;
  display: inline;
}

.md-ol {
  counter-reset: item;
}

.md-ol > .md-li {
  display: block;
}

.md-ol > .md-li:before {
  content: counters(item, '.') '. ';
  counter-increment: item;
  font-weight: bold;
}

/* Add extra left padding to nested list items */
.list-decimal .list-disc > li,
.list-decimal .list-decimal > li,
.list-disc .list-disc > li,
.list-disc .list-decimal > li {
  padding-left: 1.25rem;
}
